 package de.thd.pms.service;

import java.sql.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.thd.pms.model.Buchung;
import de.thd.pms.model.Zimmer;
import de.thd.pms.repository.BuchungRepository;

@Service 
public class BuchungService {

	@Autowired
	private BuchungRepository buchungRepository;

	public void createBuchung() {
		
		Buchung b = new Buchung();
		buchungRepository.save(b);
	}

	public void createBuchung(Long zimmerid, Date belegtvon, Date belegtbis, Integer belegtsum, Integer erwa_anz, Integer kind_anz, Integer kundenid ) {
		Buchung b = new Buchung();
		b.setZimmerid(zimmerid);
		b.setBelegtvon(belegtvon);
		b.setBelegtbis(belegtbis);
		b.setBelegtsum(belegtsum);
		b.setErwa_anz(erwa_anz);
		b.setKind_anz(kind_anz);
		b.setKundenid(kundenid);		
		buchungRepository.save(b);
			
	}

	public Buchung findById(Long id) {
		return buchungRepository.findById(id).get();
		
		
	}

	public Buchung save(Buchung buchung) {
		buchungRepository.save(buchung);
		return buchung;
		
		
		
	}

}
