package de.thd.pms.service;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.thd.pms.model.Zimmer;
import de.thd.pms.repository.ZimmerRepository;

@Service
public class ZimmerService {

	private static Logger log = LogManager.getLogger(ZimmerService.class);
	
	@Autowired
	private ZimmerRepository zimmerRepository;
	
	public Zimmer createZimmer1(Integer anzbett, Integer preisErw, Integer preisKind,String zimmername) {
		
				
		Zimmer z = new Zimmer();
		z.setZimmername(zimmername = "Zimmer 1");
		z.setAnzbett(anzbett = 4);
		z.setPreisErw(preisErw = 40 );
		z.setPreisKind(preisKind = 15);
		
		log.info("createZimmer" + z);
		
		
		zimmerRepository.save(z);
		return z;
	
	}
	
	public Zimmer createZimmer2(Integer anzbett, Integer preisErw, Integer preisKind,String zimmername) {
		
		
		Zimmer z = new Zimmer();
		z.setZimmername(zimmername = "Zimmer 2");
		z.setAnzbett(anzbett = 4);
		z.setPreisErw(preisErw = 40 );
		z.setPreisKind(preisKind = 15);
		
		log.info("createZimmer" + z);
		
		
		zimmerRepository.save(z);
		return z;
	}
	
}
